-- this is so important it has its own file.

function TextBannerSet(self,param)
	local Title = self:GetChild("Title");
	local Subtitle = self:GetChild("Subtitle");
	local Artist = self:GetChild("Artist");
	
	-- no subtitle
	if Subtitle:GetText() == "" then
		(cmd(zoom,1;maxwidth,180;y,-8))(Title);
		(cmd(visible,false))(Subtitle);
		(cmd(zoom,0.6;maxwidth,266;y,8))(Artist);
	
	-- yes subtitle
	else
		(cmd(zoom,0.75;maxwidth,180;y,-12))(Title);
		(cmd(zoom,0.45;maxwidth,360;visible,true;))(Subtitle);
		(cmd(zoom,0.6;maxwidth,266;y,12))(Artist);
	end
end